using System;
using System.Linq;
using System.Collections.Generic;

namespace ConsoleApp1
{
    class Program
    {
        static void Main()
        {
            string tekst = Console.ReadLine();
            string cenzurisati = Console.ReadLine();
            char[] slova = tekst.ToArray();
            int brojac = 0;
            if (cenzurisati.Length == 1)
            {
                char a = cenzurisati[0];
                for(int i=0; i<tekst.Length; i++)
                {
                    if(a == slova[i])
                    {
                        brojac++;
                        slova[i] = '*';
                    }
                }
                Console.WriteLine(brojac);
                for(int i=0; i<tekst.Length; i++)
                {
                    Console.Write(slova[i]);
                }
            }
        }
    }
}